Subject: Re: [PATCH v5 2/4] git-compat-util: avoid failing dir ownership checks if running privileged

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jun 2022 09:54:34 -0700

SZEDER Gábor <[email-masked]> writes:

> Unfortunately, I haven't been able to follow the discussion on this
> patch series at all, but by a cursory look now I didn't notice any
> discussion about what should happen if someone were to use 'sudo' to
> access a repository owned by root.  I think it should work, and it did
> in fact work in the past, even after bdc77d1d685, but this patch
> broke it.

I thought 4/4 of the series was meant to discuss that?  Right now it
is split out as Carlo was hesitant to push the step forward?

https://lore.kernel.org/git/[email-masked]/